Subject: Autoupdate / autoinit submodules?

From: Jeremy Morton <[email-masked]>
Date: Mon, 03 Oct 2016 10:50:13 +0100

Apologies if this has already been discussed, but did any of the 
proposed patches to allow .gitmodules to be configured for a submodule 
to be automatically recursive cloned and/or automatically updated on 
pull make it in yet?

My use-case for submodules - which is shared libraries - almost always 
requires a recursive clone, so having to remember the --recursive 
param (or to use an alias) is annoying (and I usually forget), and it 
usually requires pulling the latest master on a "git pull", too.  I 
think both of these things should be able to be automated through git 
module configuration.

-- 
Best regards,
Jeremy Morton (Jez)